Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354024 - display corruption and artifacts with glamor on Intel HD Graphics 530/Skylake
Summary: display corruption and artifacts with glamor on Intel HD Graphics 530/Skylake
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-08 18:09 UTC by T
Modified: 2017-08-08 15:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:27:50 UTC


Attachments (Terms of Use)

Description T 2016-07-08 18:09:37 UTC
Description of problem:

On fully up to date Fedora 24 with KDE/kf5 and Intel HD graphics 530 I have display artifacts from closed windows and in particular Emacs X11 is unusable since it does not redraw on any input or buffer change without window resizing or an explicit M-x redraw-display.


Version-Release number of selected component (if applicable):

xorg-x11-drv-intel-2.99.917-23.20160512.fc24.x86_64

kf5-plasma-5.23.0-1.fc24.x86_64

# lspci -v -s 00:02
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 530 (rev 06) (prog-if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. Device 8694
        Flags: bus master, fast devsel, latency 0, IRQ 136
        Memory at de000000 (64-bit, non-prefetchable) [size=16M]
        Memory at c0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at f000 [size=64]
        [virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
        Capabilities: [40] Vendor Specific Information: Len=0c <?>
        Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
        Capabilities: [ac] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [100] Process Address Space ID (PASID)
        Capabilities: [200] Address Translation Service (ATS)
        Capabilities: [300] Page Request Interface (PRI)
        Kernel driver in use: i915
        Kernel modules: i915




How reproducible:

always

Steps to Reproduce:
1. start emacs 
2. make modifications in a buffer
3. text is not refreshed becomes garbled
4. M-x redraw-display is necessary after any buffer activity

or

1. open firefox
2. watch embedded video on google-news
3. close the embedded video
4. outline of the video window remains as a transparent blue rectangle

etc.


Expected results:

emacs should work normally
closed windows should not leave behind shadows of themselves

Additional info:

I did not have these issues with Fedora 23 on the same machine.
I determined that the difference between F23 and F24 was that the intel driver in F24 is using glamoregl

/var/log/Xorg.0.log.old:[    20.359] (II) Loading sub module "glamoregl"
/var/log/Xorg.0.log.old:[    20.359] (II) LoadModule: "glamoregl"
/var/log/Xorg.0.log.old:[    20.359] (II) Loading /usr/lib64/xorg/modules/libglamoregl.so
/var/log/Xorg.0.log.old:[    20.368] (II) Module glamoregl: vendor="X.Org Foundation"
/var/log/Xorg.0.log.old:[    20.368] (II) glamor: OpenGL accelerated X.org driver based.
/var/log/Xorg.0.log.old:[    20.385] (II) glamor: EGL version 1.4 (DRI2):
/var/log/Xorg.0.log.old:[    20.392] (II) modeset(0): glamor initialized

while F23 was using SNA. 

I solved this problem by compiling xf86-video-intel (git HEAD  26f8ab5) myself and using SNA 

> grep -i sna /var/log/Xorg.*
/var/log/Xorg.0.log:[ 20248.547] (II) intel(0): SNA compiled from 2.99.917-676-g26f8ab5
/var/log/Xorg.0.log:[ 20248.549] (II) intel(0): SNA initialized with Skylake (gen9) backend
/var/log/Xorg.9.log:[    24.401] (II) intel(0): SNA initialized with generic backend

With the SNA driver everything works ok.

Comment 1 T 2016-07-28 03:46:50 UTC
today's update from Fedora

# rpm -qi xorg-x11-drv-intel-2.99.917-24.20160712.fc24.x86_64
Name        : xorg-x11-drv-intel
Version     : 2.99.917
Release     : 24.20160712.fc24
Architecture: x86_64
Install Date: Wed 27 Jul 2016 05:47:19 PM MDT


solves the emacs redraw issue for me. The driver now works out of the box with no special settings required. There still is the lingering blue rectangle from any video embedded in a browser, though.

Cheers
T.


#  grep -E 'intel|glamor|SNA' /var/log/Xorg.0.log.old 
[ 67227.669] (==) Matched intel as autoconfigured driver 0
[ 67227.669] (==) Matched intel as autoconfigured driver 1
[ 67227.669] (II) LoadModule: "intel"
[ 67227.669] (II) Loading /usr/lib64/xorg/modules/drivers/intel_drv.so
[ 67227.669] (II) Module intel: vendor="X.Org Foundation"
[ 67227.669] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
[ 67227.669] (II) intel: Driver for Intel(R) HD Graphics: 2000-6000
[ 67227.669] (II) intel: Driver for Intel(R) Iris(TM) Graphics: 5100, 6100
[ 67227.669] (II) intel: Driver for Intel(R) Iris(TM) Pro Graphics: 5200, 6200, P6300
[ 67227.670] (II) Loading sub module "glamoregl"
[ 67227.670] (II) LoadModule: "glamoregl"
[ 67227.670] (II) Loading /usr/lib64/xorg/modules/libglamoregl.so
[ 67227.674] (II) Module glamoregl: vendor="X.Org Foundation"
[ 67227.674] (II) glamor: OpenGL accelerated X.org driver based.
[ 67227.678] (II) glamor: EGL version 1.4 (DRI2):
[ 67227.679] (II) modeset(0): glamor initialized

Comment 2 Fedora End Of Life 2017-07-25 21:41:10 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 15:27:50 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.